%define debug_package %{nil}

Summary: OCaml top-level value-hiding extension
Name:    ocaml-tophide
Version: 1.0.4
Release: %mkrel 3
Source0: https://github.com/mjambon/tophide/archive/v%{version}.tar.gz
License: BSD
Group:   Development/OCaml
URL:     https://github.com/mjambon/tophide
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-findlib-devel

%description 
OCaml tophide hides top-level values whose name starts with an
underscore. Primarily for use with Camlp4 syntax extensions.

%prep
%setup -q -n tophide-%{version}
%autopatch -p1

%build
make

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install

%files
%doc LICENSE README.md
%dir %{_libdir}/ocaml/tophide
%{_libdir}/ocaml/tophide/META
%{_libdir}/ocaml/tophide/tophide.cmi
%{_libdir}/ocaml/tophide/tophide.cmo


%changelog
* Fri Feb 28 2020 umeabot <umeabot> 1.0.4-3.mga8
+ Revision: 1551172
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.0.4-2.mga8
+ Revision: 1543466
- Mageia 8 Mass Rebuild

* Mon Jan 20 2020 tv <tv> 1.0.4-1.mga8
+ Revision: 1481725
- new release + rebuild for ocaml-4.10
- rebuild for new ocaml

* Mon Sep 26 2016 pterjan <pterjan> 1.0.3-2.mga6
+ Revision: 1056446
- Rebuild for fix in ocaml

* Fri Feb 12 2016 pterjan <pterjan> 1.0.3-1.mga6
+ Revision: 957185
- Update to 1.0.3
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 1.0.1-10.mga6
+ Revision: 893228
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-9.mga5
+ Revision: 743249
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-8.mga5
+ Revision: 683116
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-7.mga4
+ Revision: 508555
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-6.mga3
+ Revision: 361666
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 1.0.1-5.mga3
+ Revision: 319870
- build requires ocaml-compiler-libs
- patch to add -I +compiler-libs to Makefile
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.0.1-2.mga3
+ Revision: 300471
- new rpm group for ocaml

* Sat Sep 01 2012 blue_prawn <blue_prawn> 1.0.1-1.mga3
+ Revision: 286883
- updated to last version 1.0.1
- easier to parse by utils scripts

* Thu Apr 05 2012 malo <malo> 1.0.0-1.mga2
+ Revision: 228767
- imported package ocaml-tophide

